## Rosetta-8cc3b9e6c1e41a7a13a889d0d27b05704d684d46.zip?path=services

=== services/webapp/requirements.txt ===
Django==2.2.1
psycopg2==2.8
pytz==2018.9
djangorestframework==3.9.3
django-rest-swagger==2.2.0
dateutils==0.6.6
sendgrid==5.3.0
mozilla-django-oidc==1.2.4
uwsgi==2.0.19.1
python-magic==0.4.15
jupyter-repo2docker==2022.2.0

=== vendor/github.com/openSUSE/umoci/Makefile ===
# umoci: Umoci Modifies Open Containers' Images
# Copyright (C) 2016, 2017, 2018 SUSE LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Use bash, so that we can do process substitution.
SHELL = /bin/bash

# Go tools.
GO ?= go
GO_MD2MAN ?= go-md2man

# Set up the ... lovely ... GOPATH hacks.
PROJECT := github.com/openSUSE/umoci
CMD := ${PROJECT}/cmd/umoci

# We use Docker because Go is just horrific to deal with.
UMOCI_IMAGE := umoci_dev
DOCKER_RUN := docker run --rm -it --security-opt apparmor:unconfined --security-opt label:disable -v ${PWD}:/go/src/${PROJECT}

# Output directory.
BUILD_DIR ?= .

# Release information.
GPG_KEYID ?=

# Version information.
VERSION := $(shell cat ./VERSION)
COMMIT_NO := $(shell git rev-parse HEAD 2> /dev/null || true)
COMMIT := $(if $(shell git status --porcelain --untracked-files=no),"${COMMIT_NO}-dirty","${COMMIT_NO}")

BUILD_FLAGS ?=

BASE_FLAGS := ${BUILD_FLAGS} -tags "${BUILDTAGS}"
BASE_LDFLAGS := -s -w -X main.gitCommit=${COMMIT} -X main.version=${VERSION}

DYN_BUILD_FLAGS := ${BASE_FLAGS} -buildmode=pie -ldflags "${BASE_LDFLAGS}"
TEST_BUILD_FLAGS := ${BASE_FLAGS} -buildmode=pie -ldflags "${BASE_LDFLAGS} -X ${PROJECT}/pkg/testutils.binaryType=test"
STATIC_BUILD_FLAGS := ${BASE_FLAGS} -ldflags "${BASE_LDFLAGS} -extldflags '-static'"

.DEFAULT: umoci

GO_SRC = $(shell find . -name \*.go)

# NOTE: If you change these make sure you also update local-validate-build.

umoci: $(GO_SRC)
	$(GO) build ${DYN_BUILD_FLAGS} -o $(BUILD_DIR)/$@ ${CMD}

umoci.static: $(GO_SRC)
	env CGO_ENABLED=0 $(GO) build ${STATIC_BUILD_FLAGS} -o $(BUILD_DIR)/$@ ${CMD}

umoci.cover: $(GO_SRC)
	$(GO) test -c -cover -covermode=count -coverpkg=./... ${TEST_BUILD_FLAGS} -o $(BUILD_DIR)/$@ ${CMD}

.PHONY: release
release:
	hack/release.sh -S "$(GPG_KEYID)" -r release/$(VERSION) -v $(VERSION)

.PHONY: install
install: $(GO_SRC)
	$(GO) install -v ${DYN_BUILD_FLAGS} ${CMD}

.PHONY: install.static
install.static: $(GO_SRC)
	$(GO) install -v ${STATIC_BUILD_FLAGS} ${CMD}

.PHONY: clean
clean:
	rm -f umoci umoci.static umoci.cov*
	rm -f $(MANPAGES)

.PHONY: validate
validate: umociimage
	$(DOCKER_RUN) $(UMOCI_IMAGE) make local-validate

.PHONY: local-validate
local-validate: local-validate-git local-validate-go local-validate-reproducible local-validate-build

# TODO: Remove the special-case ignored system/* warnings.
.PHONY: local-validate-go
local-validate-go:
	@type gofmt    >/dev/null 2>/dev/null || (echo "ERROR: gofmt not found." && false)
	test -z "$$(gofmt -s -l . | grep -vE '^vendor/|^third_party/' | tee /dev/stderr)"
	@type golint   >/dev/null 2>/dev/null || (echo "ERROR: golint not found." && false)
	test -z "$$(golint $(PROJECT)/... | grep -vE '/vendor/|/third_party/' | tee /dev/stderr)"
	@go doc cmd/vet >/dev/null 2>/dev/null || (echo "ERROR: go vet not found." && false)
	test -z "$$($(GO) vet $$($(GO) list $(PROJECT)/... | grep -vE '/vendor/|/third_party/') 2>&1 | tee /dev/stderr)"

EPOCH_COMMIT ?= 97ecdbd53dcb72b7a0d62196df281f131dc9eb2f
.PHONY: local-validate-git
local-validate-git:
	@type git-validation > /dev/null 2>/dev/null || (echo "ERROR: git-validation not found." && false)
ifdef TRAVIS_COMMIT_RANGE
	git-validation -q -run DCO,short-subject
else
	git-validation -q -run DCO,short-subject -range $(EPOCH_COMMIT)..HEAD
endif

# Make sure that our builds are reproducible even if you wait between them and
# the modified time of the files is different.
.PHONY: local-validate-reproducible
local-validate-reproducible:
	mkdir -p .tmp-validate
	make -B umoci && cp umoci .tmp-validate/umoci.a
	@echo sleep 10s
	@sleep 10s && touch $(GO_SRC)
	make -B umoci && cp umoci .tmp-validate/umoci.b
	diff -s .tmp-validate/umoci.{a,b}
	sha256sum .tmp-validate/umoci.{a,b}
	rm -r .tmp-validate/umoci.{a,b}

.PHONY: local-validate-build
local-validate-build:
	$(GO) build ${DYN_BUILD_FLAGS} -o /dev/null ${CMD}
	env CGO_ENABLED=0 $(GO) build ${STATIC_BUILD_FLAGS} -o /dev/null ${CMD}
	$(GO) test -run nothing ${DYN_BUILD_FLAGS} $(PROJECT)/...

MANPAGES_MD := $(wildcard doc/man/*.md)
MANPAGES    := $(MANPAGES_MD:%.md=%)

doc/man/%.1: doc/man/%.1.md
	$(GO_MD2MAN) -in $< -out $@

.PHONY: doc
doc: $(MANPAGES)

# Used for tests.
DOCKER_IMAGE :=opensuse/amd64:tumbleweed

.PHONY: umociimage
umociimage:
	docker build -t $(UMOCI_IMAGE) --build-arg DOCKER_IMAGE=$(DOCKER_IMAGE) .

ifndef COVERAGE
COVERAGE := $(shell mktemp --dry-run umoci.cov.XXXXXX)
endif

.PHONY: test-unit
test-unit: umociimage
	touch $(COVERAGE) && chmod a+rw $(COVERAGE)
	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) --cap-add=SYS_ADMIN $(UMOCI_IMAGE) make local-test-unit
	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) -u 1000:1000 --cap-drop=all $(UMOCI_IMAGE) make local-test-unit

.PHONY: local-test-unit
local-test-unit:
	GO=$(GO) COVER=1 hack/test-unit.sh

.PHONY: test-integration
test-integration: umociimage
	touch $(COVERAGE) && chmod a+rw $(COVERAGE)
	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) $(UMOCI_IMAGE) make TESTS="${TESTS}" local-test-integration
	$(DOCKER_RUN) -e COVERAGE=$(COVERAGE) -u 1000:1000 --cap-drop=all $(UMOCI_IMAGE) make TESTS="${TESTS}" local-test-integration

.PHONY: local-test-integration
local-test-integration: umoci.cover
	TESTS="${TESTS}" COVER=1 hack/test-integration.sh

shell: umociimage
	$(DOCKER_RUN) $(UMOCI_IMAGE) bash

.PHONY: ci
ci: umoci umoci.cover doc local-validate test-unit test-integration
	hack/ci-coverage.sh $(COVERAGE)

=== dist/debian/changelog ===
singularity-container (2.4.2-1) unstable; urgency=high

  * This fixed an issue for support of older distributions and kernels with regards to `setns()`
    functionality.
  * Fixed autofs bug path (lost during merge)

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 22 Nov 2017 12:20:27 -0700

singularity-container (2.4.1-1) unstable; urgency=high

  * This is a bug fix point release to the 2.4 feature branch, and includes a
    number of fixes including some security related points that deserve
    immediate attention

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 22 Nov 2017 12:20:27 -0700

singularity-container (2.4-1) unstable; urgency=low

  * Building an image is now more intuitive with the introduction of our build
    command. You don't need to worry about sizes or using create, or bootstrap
  * By default the build command now creates compressed read only containers
    using squashfs
  * Singularity now supports building additional base targets: local images,
    Singularity Hub, or the host operating system itself
  * A well documented solution for internal container modularity
    (http://containers-ftw.org/SCI-F/)
  * By popular demand and bribery, we are bringing back persistent instance
    support. You can now start up a container instance and using a given name,
    you can connect to that instance, and it keeps running even when you exit!
  * We are now using the network namespace to provide network isolation
  * Using a persistent overlay, you can modify a container image and all
    changes are written to the overlay layer
  * Cleanup and optimization of the Singularity image library

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 11 Oct 2017 19:39:19 -0700

singularity-container (2.3.2-1) unstable; urgency=high

  * Fix for a change that Docker implemented to their registry RESTful API
    which broke compatibility with Singularity
  * Several other low minor fixes

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Fri, 15 Sep 2017 14:36:34 -0700

singularity-container (2.3.1-1) unstable; urgency=high

  * Fix for a High Severity security issue on older hosts
  * Other improvements and fixes to previous versions of Singularity

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Mon, 26 Jun 2017 11:24:12 -0700

singularity-container (2.3-1) unstable; urgency=low

  * Lots of backend library changes to accommodate a more flexible API
  * Restructured Python backend
  * Updated bootstrap backend to make it much more reliable
  * Direct support for the awesome, the fantastic, Singularity-Hub!
  * Ability to run additional commands without root privileges (e.g. create,
    import, copy, export, etc..).
  * Added ability to pull images from Singularity Hub and Docker
  * Containers now have labels, and are inspect'able

 -- Gregory M. Kurtzer <gmkurtzer@gmail.com>  Wed, 31 May 2017 18:19:46 -0700

singularity-container (2.2-1) unstable; urgency=low

  * New upstream release
  * Install sexec-suid as suid instead of sexec

 -- Roland Fehrenbacher <rf@q-leap.de>  Fri, 21 Oct 2016 13:25:06 +0200

singularity-container (2.0-1) UNRELEASED; urgency=medium

  * New upstream release
  * Initial Debian packaging

 -- Dave Love <fx@gnu.org>  Thu, 02 Jun 2016 22:48:28 +0100

singularity-container (1.0-1) UNRELEASED; urgency=low

  * Initial release

 -- Dave Love <fx@gnu.org>  Sun, 17 Apr 2016 12:22:41 +0100

=== dist/debian/control ===
Source: singularity-container
Section: admin
Priority: optional
Maintainer: Gregory M. Kurtzer <gmkurtzer@gmail.com>
Uploaders:
 Dave Love <fx@gnu.org>,
 Mehdi Dogguy <mehdi@debian.org>,
 Yaroslav Halchenko <debian@onerussian.com>,
 Gregory M. Kurtzer <gmkurtzer@gmail.com>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 help2man,
 libarchive-dev,
 libssl-dev,
 python,
 uuid-dev,
Standards-Version: 3.9.8
Homepage: http://gmkurtzer.github.io/singularity
Vcs-Git: https://github.com/sylabs/singularity.git
Vcs-Browser: https://github.com/sylabs/singularity

# "singularity" is a packaged game (but the contents don't clash)
Package: singularity-container
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python, squashfs-tools
Description: container platform focused on supporting "Mobility of Compute"
 Mobility of Compute encapsulates the development to compute model
 where developers can work in an environment of their choosing and
 creation and when the developer needs additional compute resources,
 this environment can easily be copied and executed on other platforms.
 Additionally as the primary use case for Singularity is targeted
 towards computational portability, many of the barriers to entry of
 other container solutions do not apply to Singularity making it an
 ideal solution for users (both computational and non-computational)
 and HPC centers.
